Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593766 - ACPI Error: Illegal I/O port address/length above 64K
ACPI Error: Illegal I/O port address/length above 64K
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
i686 Linux
urgent Severity urgent
: rc
: ---
Assigned To: Frank Arnold
Zhang Kexin
:
Depends On: 585756
Blocks: 689904
  Show dependency treegraph
 
Reported: 2010-05-19 12:32 EDT by Eric Sandeen
Modified: 2014-04-18 04:24 EDT (History)
16 users (show)

See Also:
Fixed In Version: kernel-2.6.32-131.el6
Doc Type: Bug Fix
Doc Text:
The /var/log/messages file could have slowly filled up with error messages similar to the following: ACPI Error: Illegal I/O port address/length above 64K: 0x0000000000400020/4 (20090903/hwvalid-154) ACPI Exception: AE_LIMIT, Returned by Handler for [SystemIO] (20090903/evregion-424) ACPI Error (psparse-0537): Method parse/execution failed [\_GPE._L09] (Node ffff8800797cd298), AE_LIMIT ACPI Exception: AE_LIMIT, while evaluating GPE method [_L09] (20090903/evgpe-568) This error message no longer occurs with this update.
Story Points: ---
Clone Of: 585756
Environment:
Last Closed: 2011-05-19 08:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL 6 backport of the upstream fix (4.65 KB, patch)
2011-04-05 12:32 EDT, Frank Arnold
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 07:58:07 EDT

  None (edit)
Description Eric Sandeen 2010-05-19 12:32:20 EDT
I saw this bug on the RHEL6 kernel as well; if you feel it's relevant to rhel6, perhaps we can fix it there too.

Thanks,
-Eric

+++ This bug was initially created as a clone of Bug #585756 +++

My machine is a HP Pvvilion
AMD64 Athlon
2 Gig of memory


The /var/log/message files keeps filling up with this error and slowily slows the machine down to a crawl.

The message file entry for fedora

Apr 21 16:05:02 Galactica kernel: Linux version 2.6.33.1-24.fc13.i686 (mockbuild@x86-01.phx2.fedoraproject.org) (gcc version 4.4.3 20100226 (Red Hat 4.4.3-8) (GCC) ) #1 SMP Tue Mar 30 18:49:12 UTC 2010

ERROR

Apr 21 16:05:08 Galactica kernel: ACPI Error: Illegal I/O port address/length above 64K: 0x00400020/4 (20091214/hwvalid-154)
Apr 21 16:05:08 Galactica kernel: ACPI Exception: AE_LIMIT, Returned by Handler for [SystemIO] (20091214/evregion-475)
Apr 21 16:05:08 Galactica kernel: ACPI Error (psparse-0537): Method parse/execution failed [\_GPE._L09] (Node f6c46480), AE_LIMIT
Apr 21 16:05:08 Galactica kernel: ACPI Exception: AE_LIMIT, while evaluating GPE method [_L09] (20091214/evgpe-568)
Apr 21 16:05:08 Galactica kernel: ACPI Error: Illegal I/O port address/length above 64K: 0x00400020/4 (20091214/hwvalid-154)
Apr 21 16:05:08 Galactica kernel: ACPI Exception: AE_LIMIT, Returned by Handler for [SystemIO] (20091214/evregion-475)
Apr 21 16:05:08 Galactica kernel: ACPI Error (psparse-0537): Method parse/execution failed [\_GPE._L09] (Node f6c46480), AE_LIMIT
Apr 21 16:05:08 Galactica kernel: ACPI Exception: AE_LIMIT, while evaluating GPE method [_L09] (20091214/evgpe-568)
Apr 21 16:05:10 Galactica kernel: ACPI Error: Illegal I/O port address/length above 64K: 0x00400020/4 (20091214/hwvalid-154)
Apr 21 16:05:10 Galactica kernel: ACPI Exception: AE_LIMIT, Returned by Handler for [SystemIO] (20091214/evregion-475)
Apr 21 16:05:10 Galactica kernel: ACPI Error (psparse-0537): Method parse/execution failed [\_GPE._L09] (Node f6c46480), AE_LIMIT
Apr 21 16:05:10 Galactica kernel: ACPI Exception: AE_LIMIT, while evaluating GPE method [_L09] (20091214/evgpe-568)
Apr 21 16:05:11 Galactica kernel: ACPI Error: Illegal I/O port address/length above 64K: 0x00400020/4 (20091214/hwvalid-154)
Apr 21 16:05:11 Galactica kernel: ACPI Exception: AE_LIMIT, Returned by Handler for [SystemIO] (20091214/evregion-475)
Apr 21 16:05:11 Galactica kernel: ACPI Error (psparse-0537): Method parse/execution failed [\_GPE._L09] (Node f6c46480), AE_LIMIT
Apr 21 16:05:11 Galactica kernel: ACPI Exception: AE_LIMIT, while evaluating GPE method [_L09] (20091214/evgpe-568)


Complete message file available if needed

Thanks you for any and all help.

--- Additional comment from esandeen@redhat.com on 2010-05-17 23:11:16 EDT ---

Created an attachment (id=414710)
dmesg from compaq sr1710nx

I've got the same messages, this is a compaq sr1710nx, known to have a buggy bios, I guess.  I can attach dsdt tables etc as well if anyone is interested.

--- Additional comment from mjg@redhat.com on 2010-05-18 07:58:33 EDT ---

Yeah. Please install the pmtools package and run acpidump as root, then attach the output.

--- Additional comment from mjg@redhat.com on 2010-05-18 12:08:30 EDT ---

Ok, got the acpidump from Eric, verified the behaviour of Windows and generated a patch. I'll test it a little more and then send it upstream and backport.

--- Additional comment from esandeen@redhat.com on 2010-05-18 12:36:19 EDT ---

Created an attachment (id=414905)
acpidump from compaq sr1710nx

Attaching the acpidump here, just for posterity.

Thanks Matthew!

-Eric

--- Additional comment from mjg@redhat.com on 2010-05-18 14:00:21 EDT ---

Can you test http://fedorapeople.org/~mjg59/kernel-2.6.33.4-101.local.fc13.x86_64.rpm ?

--- Additional comment from esandeen@redhat.com on 2010-05-18 21:44:19 EDT ---

Matthew, the patch did at lest shut up the messages on my kernel, thanks.

-Eric
Comment 1 RHEL Product and Program Management 2010-05-19 12:35:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 RHEL Product and Program Management 2010-07-15 10:27:56 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 Frank Arnold 2011-04-05 12:32:09 EDT
Created attachment 490030 [details]
RHEL 6 backport of the upstream fix
Comment 8 Aristeu Rozanski 2011-04-13 09:11:17 EDT
Patch(es) available on kernel-2.6.32-131.el6
Comment 15 Martin Prpič 2011-05-17 07:38:14 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The /var/log/messages file could have slowly filled up with error messages similar to the following:

    ACPI Error: Illegal I/O port address/length above 64K: 0x0000000000400020/4 (20090903/hwvalid-154)
    ACPI Exception: AE_LIMIT, Returned by Handler for [SystemIO] (20090903/evregion-424)
    ACPI Error (psparse-0537): Method parse/execution failed [\_GPE._L09] (Node ffff8800797cd298), AE_LIMIT
    ACPI Exception: AE_LIMIT, while evaluating GPE method [_L09] (20090903/evgpe-568)

This error message no longer occurs with this update.
Comment 16 errata-xmlrpc 2011-05-19 08:04:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html

Note You need to log in before you can comment on or make changes to this bug.